Retrieve experiment comparison (deprecated)
curl --request GET \
--url https://api.honeyhive.ai/v1/runs/{new_run_id}/compare-with/{old_run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeyhive.ai/v1/runs/{new_run_id}/compare-with/{old_run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeyhive.ai/v1/runs/{new_run_id}/compare-with/{old_run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metrics": [
{
"metric_name": "<string>",
"metric_type": "<string>",
"old_aggregate": 123,
"new_aggregate": 123,
"difference": 123,
"percentage_change": 123
}
],
"commonDatapoints": [
"<string>"
],
"event_details": [
{
"event_name": "<string>",
"event_type": "<string>"
}
],
"old_run": {
"id": "<string>",
"run_id": "<string>",
"metadata": {},
"results": {},
"event_ids": [
"<string>"
],
"configuration": {},
"is_active": true,
"created_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"metrics": {},
"updated_at": "<string>",
"dataset_id": "<string>"
},
"new_run": {
"id": "<string>",
"run_id": "<string>",
"metadata": {},
"results": {},
"event_ids": [
"<string>"
],
"configuration": {},
"is_active": true,
"created_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"metrics": {},
"updated_at": "<string>",
"dataset_id": "<string>"
}
}Experiments
Retrieve experiment comparison (deprecated)
deprecated
Deprecated. Use GET /v1/runs/{new_run_id}/compare/{old_run_id} instead.
GET
/
v1
/
runs
/
{new_run_id}
/
compare-with
/
{old_run_id}
Retrieve experiment comparison (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
New experiment run ID to compare (UUIDv4)
Old experiment run ID to compare against (UUIDv4)
Query Parameters
Aggregation function to apply to metrics
Optional filters to apply (JSON string or array of filter objects)
Response
Experiment comparison retrieved successfully
Comparison between two experiment runs including metrics, common datapoints, and event details
Was this page helpful?
⌘I

